getSalesOrderShipment
READGet sales order shipment.
POST /api/v1/sales/getSalesOrderShipment
curl -X POST '<your-host>/api/v1/sales/getSalesOrderShipment' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"salesOrderId": "string"
}'Response
{
"assignee": "string",
"companyId": "string",
"customerId": "string",
"customerLocationId": "string",
"customFields": "…",
"deliveryDate": "string",
"dropShipment": true,
"id": "string",
"incoterm": "EXW",
"incotermLocation": "string",
"locationId": "string",
"notes": "string",
"receiptPromisedDate": "string",
"receiptRequestedDate": "string",
"shippingCost": 0,
"shippingMethodId": "string",
"shippingTermId": "string",
"supplierId": "string",
"supplierLocationId": "string",
"trackingNumber": "string",
"updatedAt": "string",
"updatedBy": "string"
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"salesOrderId": {
"type": "string"
}
},
"required": [
"salesOrderId"
]
}